/* You can add global styles to this file, and also import other style files */
@import '@angular/material/prebuilt-themes/deeppurple-amber.css';
@import '~ng-pick-datetime-ex/assets/style/picker.min.css';
@import '../node_modules/angular-calendar/css/angular-calendar.css';
@import "assets/styles/color.scss";
@import "assets/styles/main.scss";

body {
  margin     : 0;
  padding: 0;
  height: calc(var(--vh, 1vh) * 100) !important;
  font-family: Roboto, "Helvetica Neue", sans-serif;
}

.m-right-10 {
  margin-right: 10px !important;
}

.m-right-5 {
  margin-right: 5px !important;
}

.m-top-10 {
  margin-top: 10px !important;
}

.m-bottom-10 {
  margin-bottom: 10px !important;
}

.m-bottom-20 {
  margin-bottom: 20px !important;
}

.p-top-10 {
  padding-top: 10px !important;
}

.loading-shade {
  position       : absolute;
  top            : 0;
  left           : 0;
  bottom         : 56px;
  right          : 0;
  z-index        : 1;
  display        : flex;
  align-items    : center;
  justify-content: center;
}

.table-container {
  position: relative;
  overflow: auto;
  // height  : calc(100vh - 170px);
}

table {
  width: 100%;
}

th.mat-header-cell {
  font-weight: bold !important;
  font-size  : medium;
}

.section-title {
  border-bottom: 1px solid #f1eded;
  margin-bottom: 0;
}

.section-title h2 {
  display       : inline-block;
  border-bottom : 1px solid #1976d2;
  padding-bottom: 8px;
  margin        : 0;
  font-size     : 1.37rem;
  font-weight   : 600;
  color         : #1976d2;
}

.flexbox {
  margin        : 0;
  display       : flex;
  flex-direction: row;
  width         : 100%;
  padding       : 5px;
  /* this */
  flex-wrap     : wrap;
}

.column {
  flex            : 1 1 15%;
  text-align      : center;
  margin          : 5px;
  background-color: #1976d2;
  padding         : 20px;
  display         : flex;
  color           : #fff;
  border          : 1px solid#1976d2;
  flex-direction  : column;
  max-width       : 15%;
  border-radius   : 5px;
  cursor          : pointer;

  &:hover {
    background-color: #fff;
    border          : 1px solid #cacaca;
    color           : #1976d2;

    .column-text {
      color: blue;
    }
  }

  i {
    font-size: 40px;
  }

  .column-text {
    font-weight: 600;
    color      : #fff;

    &:hover {
      color: blue;
    }
  }
}

tr.mat-row {
  height: 38px !important;
}

tr.mat-header-row {
  height: 45px !important;
}

.full-width {
  width: 100% !important;
}

// mat toggle css
.mat-slide-toggle.mat-checked .mat-slide-toggle-thumb {
  background-color: #1976d2 !important;
}

.mat-slide-toggle.mat-checked .mat-slide-toggle-bar {
  background-color: rgb(25 118 210 / 31%) !important;
}

.mat-slide-toggle.mat-checked .mat-ripple-element {
  background-color: #1976d2 !important;
}

.table td,
.table th {
  vertical-align: middle !important;
}

.dialog-header {
  display        : flex;
  justify-content: space-between;
  align-items    : center;
  border-bottom  : 1px solid #d4d4d4;
  margin         : -20px;
  padding        : 10px 20px;
}

.panel-close-icon {
  position : absolute;
  right    : 12px;
  font-size: 16px;
}

.folder-dialog-info {
  display        : flex;
  justify-content: start;
  align-items    : center;

  span {
    margin-right: 10px;

    font-size: 40px;
    color    : #5ebfe3;
  }
}


.d-content {
  padding-top: 40px;

  h3 {
    font-size: 20px;
  }
}

.cursor-pointer {
  cursor: pointer;
}

.mat-progress-spinner circle,
.mat-spinner circle {
  stroke: #2196f3 !important;
}

.cdk-overlay-container {
  z-index: 1039;
}

.file-preview-overlay-container {
  width   : 100%;
  height  : 100%;
  overflow: auto;
}

.cdk-overlay-pane {
  display: block !important;
}

.white-background {
  background-color: #fff;
}

.cal-month-view .cal-day-badge {
  background-color: #1976d2 !important;
}

.mat-checkbox-indeterminate.mat-primary .mat-checkbox-background,
.mat-checkbox-checked.mat-primary .mat-checkbox-background {
  background: #2196f3 !important;
}

.mat-pseudo-checkbox-checked,
.mat-pseudo-checkbox-indeterminate,
.mat-accent .mat-pseudo-checkbox-checked,
.mat-accent .mat-pseudo-checkbox-indeterminate {
  background: #2196f3 !important;
}

.owl-dt-calendar-table .owl-dt-calendar-cell-selected {
  color           : rgba(255, 255, 255, 0.85);
  background-color: #1976d2;
}

.mat-flat-button.mat-primary,
.mat-raised-button.mat-primary,
.mat-fab.mat-primary,
.mat-mini-fab.mat-primary {
  background-color: #1976d2;
}

.mat-progress-bar-buffer {
  background-color: #bbdefb !important;
}

.mat-progress-bar-fill::after {
  background-color: #2196f3 !important;
}
.ck-editor__editable_inline {
  min-height: 500px;
}

.section-title, .section-title h2{
  border: none !important;
  color: $blue-primary !important;
}

.btn-primary{
  background-color: $blue-primary !important;
  border-color: $blue-primary !important;
}

.btn-success2{
  background-color: $orange-primary !important;
  border-color: $orange-primary !important;
  color: white !important;
}
